GeneXus Trial Requirements

Official Content

The minimum and recommended specifications for the trial version of GeneXus 16 are listed below. While minimum specifications will allow you to run the trial version, recommended specifications will ensure the best experience.

Hardware Requirements

* Processor: minimum of 1 GHz (multi-core recommended)
* Memory: minimum of 4 GB of RAM (8 GB recommended; 16 GB recommended to generate Android applications)
* Hard disk: minimum of 1.2 GB of disk space for the installation. To generate applications you will need additional space or a shared disk unit to create the knowledge bases, and generate the code

Software Requirements

* Microsoft .NET Framework 4.7.1 (Check its requirements here)
* Microsoft SQL Server 2005 or higher (Express, Standard or any other Edition)
* Microsoft Internet Explorer. Minimum version: 6.0 SP1 (11 or higher recommended)(1)

(1)Internet Explorer base libraries are used for web (HTML) editor. See below "Supported Internet Browsers" for application runtime requirements

The user running GeneXus will need administrator rights as GeneXus requires administrator privileges to function properly.

Generation requirements: The system must also meet the requirements for generators. Developers who do not wish to install/use smart device generators can disregard the requirements for smart device generators.

Generator

Requirements


Smart Devices

iOS Requirements
Android Requirements

 

 

 


Note: Applications generated using the trial version are automatically deployed to the prototyping server provided by GeneXus. The trial version requires an internet connection to deploy the apps. Applications generated using the full version can be deployed anywhere.

Supported Internet Browsers: Web applications generated using GeneXus run seamlessly on the browsers mentioned below. The table below also mentions the minimum supported versions of the browsers.

Browser

Minimum Version with Restrictions(1) 

Minimum Version (2)

Recommended Version (3)

Internet Explorer

8.0

10.0

11 or higher

Mozilla Firefox

 3.0

10.0

Latest available

Google Chome

 6.0

17.0

Latest available

Safari

5.0

6.0

Latest available

Microsoft Edge

20.0

20.0

Latest available

 

 

 

 

 

 

 


(1) - Not all features can be used with this versions. See (2) for more information.
(2) - If Server.Socket external objectProgress Indicator User ControlResponsive Web Design (RWD) features are used this are the minimum supported versions.
(3) - In all cases, the latest available browser version is recommended, primarily because of improvements related to performance and security.

Need Assistance? We are happy to help!

Click here for contact details of the support team.


Was this page helpful?
What Is This?
Your feedback about this content is important. Let us know what you think.